/* is this ok? */
* {
background-color:transparent;
}

/* XHTML */


/* what is this? support for xhtml2 edit attribute.*/
*[edit=deleted] { display: none; }

/* for XHTML1.0 */
@namespace xhtml url(http://www.w3.org/1999/xhtml);

xhtml|html {background-color:white;
font-family: arial;
font-size: 14px;
font-style: plain;
color:black;
}
xhtml|b {font-weight:bold;}
xhtml|i {font-style:italic;}
xhtml|head,xhtml|script {display:none;}
xhtml|blockquote, xhtml|body, xhtml|dd, xhtml|div, xhtml|dl, xhtml|dt, xhtml|h, xhtml|h1, xhtml|h2, 
 xhtml|h3, xhtml|h4, xhtml|h5, xhtml|h6, xhtml|ol, xhtml|p, xhtml|ul, xhtml|pre, xhtml|br { display: block }

/** margin values taken from CSS2 spec:  http://www.w3.org/TR/REC-CSS2/sample.html -MH*/
/** it seems that em does not work... changed temporarily to pt */
/*xhtml|h1 {font-size: 200%; font-weight: bold; padding: 0pt; margin: .67em 0;}
xhtml|h2 {font-size: 150%; font-weight: bold; padding: 0pt; margin: .83em 0; }
xhtml|h3 {font-size: 120%; font-weight: bold; padding: 0pt; margin: 1em 0 ;}
xhtml|h4 {font-size: 100%; font-weight: bold; padding: 0pt; margin: 1.33em 0 ;}
xhtml|h5 {font-size: 83%; font-weight: bold; padding: 0pt; margin: 1.67em 0;}
xhtml|h6 {font-size: 67%; font-weight: bold;  padding: 0pt; margin: 2.33em 0 ;}
*/
xhtml|h1 {font-size: 200%; font-weight: bold; padding: 0pt; margin: 8pt 0;}
xhtml|h2 {font-size: 150%; font-weight: bold; padding: 0pt; margin: 8t 0; }
xhtml|h3 {font-size: 120%; font-weight: bold; padding: 0pt; margin: 8pt 0 ;}
xhtml|h4 {font-size: 100%; font-weight: bold; padding: 0pt; margin: 8pt 0 ;}
xhtml|h5 {font-size: 83%; font-weight: bold; padding: 0pt; margin: 8pt 0;}
xhtml|h6 {font-size: 67%; font-weight: bold;  padding: 0pt; margin: 8pt 0 ;}

xhtml|tbody {display: table-row-group;}
xhtml|thead {display: table-header-group;}

/** lists, not complete yet */
xhtml|li {display: list-item; }

xhtml|ol, xhtml|ul, xhtml2|ol, xhtml2|ul {margin: 8px;}

/** tables don't work yet... */
xhtml|table {display: table;}
xhtml|tr {display: table-row;}
xhtml|td, xhtml|th {display: table-cell; margin: 1px;}

xhtml|a, a *, a * * {color: rgb(0,0,255); display: inline; text-decoration: underline;}

xhtml|p {margin-top: 10px;}

xhtml|strong {font-weight:bold; }

xhtml|pre {white-space: pre}

xhtml|tbody {display: table-row-group}

/* XHTML 2 */
@namespace xhtml2 url(http://www.w3.org/2002/06/xhtml2);

xhtml2|html {background-color:white;
font-family: arial;
font-size: 14;
font-style: plain;
color:black;
background-color:transparent;
}

xhtml2|head,xhtml2|script {display:none;}

xhtml2|blockquote, xhtml2|body, xhtml2|dd, xhtml2|div, xhtml2|dl, xhtml2|dt, xhtml2|h, xhtml2|h1, xhtml2|h2, 
 xhtml2|h3, xhtml2|h4, xhtml2|h5, xhtml2|h6, xhtml2|ol, xhtml2|p, xhtml2|ul, xhtml2|pre, xhtml2|br { display: block }

xhtml2|h1 {font-size: 200%; font-weight: bold; padding: 0pt; margin: 8pt 0;}
xhtml2|h2 {font-size: 150%; font-weight: bold; padding: 0pt; margin: 8t 0; }
xhtml2|h3 {font-size: 120%; font-weight: bold; padding: 0pt; margin: 8pt 0 ;}
xhtml2|h4 {font-size: 100%; font-weight: bold; padding: 0pt; margin: 8pt 0 ;}
xhtml2|h5 {font-size: 83%; font-weight: bold; padding: 0pt; margin: 8pt 0;}
xhtml2|h6 {font-size: 67%; font-weight: bold;  padding: 0pt; margin: 8pt 0 ;}

xhtml2|h {display: block; font-size: 200%; font-weight: bold; padding: 0pt; margin: 8pt 0;}

xhtml2|section xhtml2|h {font-size: 150%; }

xhtml2|section xhtml2|section xhtml2|h {font-size: 120%;}

xhtml2|section xhtml2|section xhtml2|section xhtml2|h {font-size: 100%; }

xhtml2|section xhtml2|section xhtml2|section xhtml2|section xhtml2|h  {font-size: 83%; }

xhtml2|section xhtml2|section xhtml2|section xhtml2|section xhtml2|section xhtml2|h {font-size: 67%; }


/** lists, not complete yet */
xhtml2|li {display: list-item; /* list-style-type: disc; */}

ul {
  display: block;
  list-style-type: disc;
}

ol {
  display: block;
  list-style-type: decimal;
}


/** tables don't work yet... */
xhtml2|table {display: table;}
xhtml2|tr {display: table-row;}
xhtml2|td, xhtml|th {display: table-cell; margin: 1px;}

xhtml2|*[href] {color: rgb(0,0,255); text-decoration: underline;}
xhtml2|a, a *, a * * {color: rgb(0,0,255); display: inline; text-decoration: underline;}

xhtml2|p {margin-top: 10px;}

xhtml2|pre {white-space: pre}

xhtml2|tbody {display: table-row-group}

xhtml2|l, xhtml2|blockcode, xhtml2|label, xhtml2|section { display: block; }

xhtml2|nl { display: block }

xhtml2|nl > xhtml2|li {padding-left: 11px;}

xhtml2|nl:active > xhtml2|label { font-weight: bolder;}
xhtml2|nl:active > xhtml2|li { display: block;}
xhtml2|nl > xhtml2|li { display: none; }


xhtml2|nl { padding-left: 3px; border-color: gray; border-style: inset; border-width: 1px; }

/* nested lists have no top/bottom margins */
ul ul,   ul ol,   ul dir,   ul menu,   ul dl,
ol ul,   ol ol,   ol dir,   ol menu,   ol dl,
dir ul,  dir ol,  dir dir,  dir menu,  dir dl,
menu ul, menu ol, menu dir, menu menu, menu dl,
dl ul,   dl ol,   dl dir,   dl menu,   dl dl {
  margin-top: 0;
  margin-bottom: 0;
}

/* 2 deep unordered lists use a circle */
ol ul,   ul ul,   menu ul,   dir ul,
ol menu, ul menu, menu menu, dir menu,
ol dir,  ul dir,  menu dir,  dir dir {
  list-style-type: circle;
}

/* 3 deep (or more) unordered lists use a square */
ol ol ul,     ol ul ul,     ol menu ul,     ol dir ul,
ol ol menu,   ol ul menu,   ol menu menu,   ol dir menu,
ol ol dir,    ol ul dir,    ol menu dir,    ol dir dir,
ul ol ul,     ul ul ul,     ul menu ul,     ul dir ul,
ul ol menu,   ul ul menu,   ul menu menu,   ul dir menu,
ul ol dir,    ul ul dir,    ul menu dir,    ul dir dir,
menu ol ul,   menu ul ul,   menu menu ul,   menu dir ul,
menu ol menu, menu ul menu, menu menu menu, menu dir menu,
menu ol dir,  menu ul dir,  menu menu dir,  menu dir dir,
dir ol ul,    dir ul ul,    dir menu ul,    dir dir ul,
dir ol menu,  dir ul menu,  dir menu menu,  dir dir menu,
dir ol dir,   dir ul dir,   dir menu dir,   dir dir dir {
  list-style-type: square;
}



/* CSS for xforms moved to xforms.css */

/* for timesheets */
:timed-inactive {display: none ! important; }

/* For DRML */
@namespace dr url(http://www.x-smiles.org/ns/drml);
dr|dref {display: none;}
